== Ethics & Professional Issues

This project involves the use of various "AI models" which are trained on a variety of datasets, due diligence should be
taken to ensure that the datasets being used for these models are ethically sourced, specifically images and audio
snippets must be collected with appropriate consent from the authors.

This project involves the recognition of features of different people as well as full-body person detection. Care should
be taken to ensure the datasets used to train the models in use on the project are appropriately diverse and would not
fail to recognise people of various origin.

This project may be used by any number of different groups of people so any human-robot interactions should aim to be
inoffensive to a broad number of cultures, this would involve avoiding slang, certain phrases, or gestures which may be
appropriate in our culture but inappropriate in another.

With further work, this project may have the potential to replace a human hospitality worker, care should be taken by
those wishing to deploy this or derivative solutions to ensure any replaced workers are able to continue work in another
field or otherwise are provided with an appropriate safety net if they must find another job.

This project is implemented in accordance with the British Computing Society's Code of Conduct @bcs, specifically, it
has been developed with "due regard for public health, privacy, security and wellbeing of others and the environment",
does not violate any legitimate rights of Third Parties, conducts due diligence to avoid discriminating against any one
person, and aims to promote equal access by the virtue of the project being available publicly under the MIT license
@license.