#import "@preview/fletcher:0.4.2" as fletcher: node, edge

#let blob(pos, label, tint: white, ..args) = node(pos, align(center, label), fill: tint.lighten(80%), stroke: 1pt + tint.darken(20%), corner-radius: 5pt, ..args)

// #let ros-node(pos, label, tint: white, ..args) = node(pos, align(center, label), fill: tint.lighten(80%), stroke: 1pt + tint.darken(20%), corner-radius: 2pt, ..args)

#let ros-node-internal(pos, label, tint: white, ..args) = node(
  pos,
  align(center, label),
  shape: rect,
  fill: tint.lighten(90%),
  stroke: rgb(0, 0, 0, 0),
  corner-radius: 0pt,
  ..args,
)

#let ros-node(pos, name, tint: white, ..content) = ros-node-internal(pos, table(columns: (auto), inset: 5pt, align: horizon + left, table.header([*#name*]), ..content), tint: tint)
