#import "../lib/admonitions.typ": todo

This section goes over various resources I've looked into that are relevant to implementing the task. The primary metric
for the usefulness of any frameworks, ML models, and software chosen here that they must be able to run offline and
perform in real-time.

#include "3-literature/vision.typ"
#include "3-literature/human-design.typ"
#include "3-literature/body-segmentation.typ"
#include "3-literature/robust-conversations.typ"
#include "3-literature/face-reidentification.typ"
