== Health & Safety

There are many considerations for health & safety when dealing with the robot, for this task, you should use the stock
TIAGo configuration, i.e. you should not mess with the default robot acceleration and cost layer inflation. This will
ensure the robot is operating within its specifications.

This task involves no arm movement as it has been deemed too risky. In the context of this project, we instead choose to
look in a particular direction in order to indicate what we are referring to. This task involves no changes to the map
cost layers. Here the laser is used for obstacle avoidance and is rather accurate so collisions are not a risk. This
task also involves no changes to the maximum robot speed or acceleration so we are unlikely to overshoot and collide
with any objects.

The operator is advised to learn the TIAGo's safety features, specifically the ability to emergency stop the robot if it
is putting someone else in danger or it is at risk of serious damage if it continues to operate, this is achieved by
pressing the E-STOP button which kills all motors, but may damage the arms if they are actively moving (not applicable
for our task). Other safety features include the ability to instantly freeze the robot using a special combination on
the controller, which is detailed in the handbook for TIAGo.

Finally, the operator should take care to ensure someone is always present with the robot who understands the safety
procedures, and they must never leave the robot unattended while charging or risk a potential fire.